Wiki Information
This topic illustrates the examples for wiki-related information.
Render a wiki page as HTML in a specific context 
Use the following endpoint to convert the wiki markup to HTML. The corresponding example describes the meaning and use-cases for the contextId, contextVersion, and renderingContextType parameters for the endpoint.
URL
POST /v3/projects/{projectId}/wiki2html
Input parameters
Parameter
Description
contextId
The ID of the Codebeamer entity to use as a rendering context.
contextVersion
The version of the Codebeamer entity to use as a rendering context.
The term context refers to the entity that considers the references. For example, when indicating in markup attachments simply by name like [123.png], these will be searched among attachments of the item given as context.
markup
Add any wiki text field markup. This is a mandatory parameter. You can obtain the markup of existing entities with other endpoints. For example:
GET /v3/items/{itemId}/
GET /v3/items/{itemId}/fields
GET /v3/wikipages/{wikiId}/
renderingContextType
The type of entity to use as a context for rendering the HTML markup. TRACKER_ITEM or WIKI are the only supported parameter values.
When using renderingContextType: WIKI, the contextId and contextVersion parameters must refer to an existing wiki page. Similarly, for TRACKER_ITEM, these parameters must match with an existing tracker item.
Request Body Example
{
"contextId": 1096,
"contextVersion": 1,
"markup": "Hello __World__!",
"renderingContextType": "TRACKER_ITEM"
}
Was this helpful?